Namespace Frame
    ''' <summary>
    ''' Trame de réponse 0x03 (3) : Lecture de N mots
    ''' </summary>
    ''' <remarks></remarks>
    Public NotInheritable Class ClsFrameModbus03Rep
        Inherits ClsFrameModbusWrittingWord

#Region "Constructeurs"
        ''' <summary>
        ''' Constructeur de la classe
        ''' </summary>
        ''' <param name="pSlaveId">Numéro d'esclave</param>
        ''' <param name="pData">Données</param>
        ''' <remarks></remarks>
        Public Sub New(ByVal pSlaveId As Byte, ByVal pData As UShort())
            MyBase.New(pSlaveId, 3, pData)
        End Sub
        ''' <summary>
        ''' Constructeur de la classe
        ''' </summary>
        ''' <param name="pSlaveId">Numéro d'esclave</param>
        ''' <remarks></remarks>
        Public Sub New(ByVal pSlaveId As Byte)
            MyBase.New(pSlaveId, 3)
        End Sub
        ''' <summary>
        ''' Constructeur de la classe
        ''' </summary>
        ''' <param name="pFrame1">Trame à traiter</param>
        ''' <param name="pFrame2">Trame à traiter (copie)</param>
        ''' <remarks></remarks>
        Public Sub New(ByVal pFrame1 As Byte(), ByVal pFrame2 As Byte())
            MyBase.New(pFrame1, pFrame2)
        End Sub
#End Region


        Friend Overloads Overrides Function GetFrame() As Byte()
            Return MyBase.GetFrame(New Byte() {}, New Byte() {})
        End Function

        Protected Overrides ReadOnly Property LengthOffset() As Integer
            Get
                Return 0
            End Get
        End Property
        ''' <summary>
        ''' Retourne le type de trame
        ''' </summary>
        ''' <value></value>
        ''' <returns></returns>
        ''' <remarks></remarks>
        Public Overrides ReadOnly Property FrameType() As ClsFrameModbusBase.EFrameType
            Get
                Return EFrameType.Response
            End Get
        End Property
    End Class
End Namespace